Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.notification
Class MmNotificationServletEndpoint

    java.lang.Object
      hr.tis.mgw.client.message.notification.MmNotificationServletEndpoint

All Implemented Interfaces:
  org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort, java.rmi.Remote, javax.xml.rpc.server.ServiceLifecycle

Deprecated. Deprecated for mGw version 2.

public class MmNotificationServletEndpoint
extends java.lang.Object
implements javax.xml.rpc.server.ServiceLifecycle, org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort

Axis endpoint that delegates calls to `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` instance fetched by `MmNotificationPortRetriever`. This class has to be registered inside server-config.wsdd for `org.apache.axis.transport.http.AxisServlet` to be able to perform instantiatiation. This delegator also logs any errors (since Axis 1.1 aparently doesn't do that) before propagating them back to client.

Constructor Summary
`MmNotificationServletEndpoint()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated.
`void` | `init(java.lang.Object context)` Deprecated.
`void` | `notifyMessageReception(java.lang.String registrationIdentifier, org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MmNotificationServletEndpoint

    public MmNotificationServletEndpoint()

  Deprecated.

Method Detail

### notifyMessageReception

    public void notifyMessageReception(java.lang.String registrationIdentifier,
                                       org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)
                                throws java.rmi.RemoteException,
                                       org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException

  Deprecated.
  Specified by:
    `notifyMessageReception` in interface `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException`

### init

    public void init(java.lang.Object context)
              throws javax.xml.rpc.ServiceException

  Deprecated.
  Specified by:
    `init` in interface `javax.xml.rpc.server.ServiceLifecycle`
  Throws:
    `javax.xml.rpc.ServiceException`

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `javax.xml.rpc.server.ServiceLifecycle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.